O que é o download do Netbeans 10.0?

Eu recentemente reinstalei meu sistema operacional (Ubuntu Budgie 19.04) por que ele estava dando alguns problemas no ssd instalado. Mas quando eu instalei uma versão mais nova do Netbeans IDE 10.0, ele fica fazendo um download estranho. Achei que não fosse nada demais então eu tentei abrir um projeto para ver se não dava erro, e ele deu bastante erros como se não estivesse totalmente instalado. Como resolvo isso ?

Opa!
Belesma?
Procure pelo script de desinstalação uninstall.sh do netbeans no diretório onde ele foi instalado, e execute-o como root.
O meu está em /home/meu-usuario/netbeans/uninstall.sh.
Para desinstalar:

$ cd /pasta-onde-esta-seu-netbeans/
$ sudo ./uninstall.sh

Em seguida, instale-o novamente, e NÃO utilize o usuário r00t. Você deve instalá-lo normalmente com seu usuário.

1 Curtida

Eu não achei nas minhas pastas de configurações. Instalei pela central de programas

Busque ele na central de programas como se fosse instalar e veja se aparece a opção de DESINSTALAR.

Ficam as perguntas:

  • É realmente necessário utilizar o NetBeans 10 ?
  • O que o NetBeans 10 tem que não tem no NetBeans 8.2?

Eu utilizo o 8.2 faz alguns anos e é bem estável.

ahn sim, eu realmente tinha feito essa pergunta quando fui instalar mas acabei deixando pra lá com a resposta pq eu queria mais era instalar e pronto. Mas vou colocar o 8.2
Vlw !

enquanto eu fui instalar o netbeans 8.2, ele deu o seguinte erro:

1 Curtida

Qual Netbeans está instalando? Para java ou php?

eu baixei o netbeans 8.2 SE, para java

Está faltando o JDK runtime.
Tente instalar o pacote openjdk-11-jre, depois execute a instalação novamente

$ sudo apt install openjdk-11-jre

Fonte: https://netbeans.org/downloads/8.2/
image

acho que não precisei instalar o open jdk 11, mas obrigado. Tive que procurar um tutorial no sempreupdate.com.br e vi que não fiz um passo na instalação corretamente. Obrigado mesmo assim !

Se você já tinha instalada qualquer openjdk a partir da versão 8, funcionaria também.
Indiquei a 11 porque é a mais recente disponível nos repositórios do ubuntu.

2 Curtidas